<?php
/**
 * @package    com_responsibilities
 * @subpackage fields
 * @author     Alexander Grözinger {@link http://www.agmedia.de}
 * @author     Created on Mar-2018
 * @license    GNU/GPL
 * @copyright  AGMedia.de
 */
/*
   _   ___ __  __        _ _           _
  /_\ / __|  \/  |___ __| (_)__ _   __| |___
 / _ \ (_ | |\/| / -_) _` | / _` |_/ _` / -_)
/_/ \_\___|_|  |_\___\__,_|_\__,_(_)__,_\___|
*/

// No direct access to this file
defined('_JEXEC') or die(';-)');

JFormHelper::loadFieldClass('list');

/**
 * Formularfeld liefert Optionen für eine Select Liste.
 * @since 1.0.0
 */ 
class JFormFieldResponsibilitiesUserType extends JFormFieldList {

    //The field class must know its own type through the variable $type.
    protected $type = 'ResponsibilitiesUserType';

    public function getOptions($distributor_id = 0)
    {
    	$debug		= false;
		$options	= array();
		$options[]	= JHtml::_('select.option', 0, JText::_('AGMEDIA_SELECT_OPTION_DEFAULT'), 'value', 'text');
		$options[]	= JHtml::_('select.option', 1, JText::_('COM_RESPONSIBILITIES_LABEL_PERSON_TYPE_NO_BINDING'), 'value', 'text');
		$options[]	= JHtml::_('select.option', 2, JText::_('COM_RESPONSIBILITIES_LABEL_PERSON_TYPE_JOOMLA'), 'value', 'text');
        if(AgmLibExtension::isInstalled('com_wicked')) {
		    $options[]	= JHtml::_('select.option', 3, JText::_('COM_RESPONSIBILITIES_LABEL_PERSON_TYPE_WICKED'), 'value', 'text');
        }

		return $options;
    }

}