<?php
/**
 * @package    com_responsibilities
 * @subpackage component
 * @author     Alexander Grözinger {@link http://www.agmedia.de}
 * @author     Created on Mar-2018
 * @license    GNU/GPL
 * @copyright  AGMedia.de
 */
/*
   _   ___ __  __        _ _           _
  /_\ / __|  \/  |___ __| (_)__ _   __| |___
 / _ \ (_ | |\/| / -_) _` | / _` |_/ _` / -_)
/_/ \_\___|_|  |_\___\__,_|_\__,_(_)__,_\___|
*/

// No direct access to this file
defined('_JEXEC') or die(';-)');

if(!defined('DS')) {
    define('DS', "/");
}

//-----------------------------------------------------------------------------------------------------------------------------------------
// COMPONENT SETTINGS
//-----------------------------------------------------------------------------------------------------------------------------------------
// DEFINE VERSION
if(!defined('AGMEDIA_RESPONSIBILITIES_VERSION')) {
	define('AGMEDIA_RESPONSIBILITIES_VERSION', '1.0.2');
}

// AGMedia Library setup
$agmLibRequired		= true;
$agmLibMinVersion	= '1.0.1';
//-----------------------------------------------------------------------------------------------------------------------------------------

//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// Joomla imports
jimport('joomla.application.component.controller');		// import joomla controller library

//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// Register Tables
JTable::addIncludePath(JPATH_ADMINISTRATOR.DS.'components'.DS.'com_responsibilities'.DS.'tables');

//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// Register Helpers
JLoader::register('ResponsibilitiesHelper', JPATH_COMPONENT.'/helpers/responsibilities.php');
JLoader::register('ResponsibilitiesCategories', JPATH_COMPONENT.'/helpers/category.php');

//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//Prüfen ob Benutzer entsprechende Berechtigung hat
if (!JFactory::getUser()->authorise('core.manage', 'com_responsibilities'))
{
	throw new JAccessExceptionNotallowed(JText::_('JERROR_ALERTNOAUTHOR'), 403);
}

if (!defined('DS')) {
    define('DS', "/");
}

//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// Check installation
ResponsibilitiesHelper::checkInstallation($agmLibRequired, $agmLibMinVersion);

//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// Get an instance of the controller
$controller = JControllerLegacy::getInstance('Responsibilities');
$input      = JFactory::getApplication()->input;
$task       = $input->get('task');

$controller->execute($task);
$controller->redirect();
