<?php
/**
 * @package    com_responsibilities
 * @subpackage tmpl
 * @author     Alexander Grözinger {@link http://www.agmedia.de}
 * @author     Created on Mar-2018
 * @license    GNU/GPL
 * @copyright  AGMedia.de
 */
/*
   _   ___ __  __        _ _           _
  /_\ / __|  \/  |___ __| (_)__ _   __| |___
 / _ \ (_ | |\/| / -_) _` | / _` |_/ _` / -_)
/_/ \_\___|_|  |_\___\__,_|_\__,_(_)__,_\___|
*/

// No direct access to this file
defined('_JEXEC') or die(';-)');

JHtml::_('bootstrap.tooltip');
JHtml::_('bootstrap.popover');
JHtml::_('behavior.tooltip');
JHtml::_('behavior.multiselect');
JHtml::_('formbehavior.chosen', 'select');

$user = JFactory::getUser();

$listOrder  = $this->escape($this->state->get('list.ordering'));
$listDirn   = $this->escape($this->state->get('list.direction'));
?>

<div class="row-fluid">
    <div id="j-sidebar-container" class="span2">
        <?php echo $this->sidebar; ?>
		<?php echo AgmLibAdminInfopanel::render('com_responsibilities'); ?>
    </div>
    <div id="j-main-container" class="span10">
        <form action="<?php echo JRoute::_('index.php?option=com_responsibilities&view=persons'); ?>" method="post"
              name="adminForm" id="adminForm">
	        <?php 
			// Search tools bar
			echo JLayoutHelper::render('joomla.searchtools.default', array('view' => $this));
			?>
            <?php if (empty($this->items)) : ?>
                <div class="alert alert-no-items">
                    <?php echo JText::_('JGLOBAL_NO_MATCHING_RESULTS'); ?>
                </div>
            <?php else : ?>
            <table class="table table-striped table-hover">
                <thead>
                <tr>
                    <th width="1%" class="center">
                        <?php /*<input type="checkbox" name="checkall-toggle" value="" title="<?php echo JText::_('JGLOBAL_CHECK_ALL'); ?>" onclick="Joomla.checkAll(this)"/></th>*/ ?>
                        <?php echo JHtml::_('grid.checkall'); ?>
                    <th class="center" width="5%">
                        <?php echo JHtml::_('grid.sort', 'JSTATUS', 'a.state', $listDirn, $listOrder); ?>
                    </th>
                    <th width="10%">
                        <?php echo JHtml::_('grid.sort', 'COM_RESPONSIBILITIES_NACHNAME', 'a.nachname', $listDirn, $listOrder); ?>
                    </th>
                    <th width="10%">
                        <?php echo JHtml::_('grid.sort', 'COM_RESPONSIBILITIES_VORNAME', 'a.vorname', $listDirn, $listOrder); ?>
                    </th>                    
                    <th>
                        <?php //echo JHtml::_('grid.sort', 'COM_RESPONSIBILITIES_IMAGE', 'image', $listDirn, $listOrder); ?>
                        <?php echo JText::_('COM_RESPONSIBILITIES_IMAGE'); ?>
                        
                    </th>
                </tr>
                </thead>
                <tbody>
                <?php foreach ($this->items as $i => $item) : ?>

                    <?php
                    $canCheckin = $user->authorise('core.manage', 'com_checkin') || $item->checked_out == $user->get('id') || $item->checked_out == 0;
                    $canChange  = $user->authorise('core.edit.state', 'com_responsibilities') && $canCheckin;
                    ?>

                    <tr class="row<?php echo $i % 2; ?>">
                        <td class="center"><?php echo JHtml::_('grid.id', $i, $item->id); ?></td>
                        <td class="center"><?php echo JHtml::_('jgrid.published', $item->state, $i, 'persons.', $canChange, 'cb', $item->publish_up, $item->publish_down); ?></td>
                        <td>
                            <?php
                            $link = JRoute::_('index.php?option=com_responsibilities&task=person.edit&id=' . $item->id);
                            echo '<a href="' . $link . '">' . $this->escape($item->nachname) . '</a>'; ?>
                        </td>
                        <td>
                            <?php
                            $link = JRoute::_('index.php?option=com_responsibilities&task=person.edit&id=' . $item->id);
                            echo '<a href="' . $link . '">' . $this->escape($item->vorname) . '</a>'; ?>
                        </td>                        
                        <td>
                        	<?php if(!empty($item->image)) : ?>
                        	<a class="btn" rel="popover" data-img="../<?php echo $this->escape($item->image); ?>">mouse-over</a>
                        	<?php endif; ?>
                        </td>
                    </tr>
                <?php endforeach; ?>
                </tbody>
                <tfoot>
                <tr>
                    <td colspan="7">
                        <?php echo $this->pagination->getListFooter(); ?>
                    </td>
                </tr>
                </tfoot>
            </table>
            <?php endif; ?>
            <div>
                <input type="hidden" name="task" value=""/>
                <input type="hidden" name="boxchecked" value="0"/>
                <input type="hidden" name="filter_order" value="<?php echo $listOrder; ?>"/>
                <input type="hidden" name="filter_order_Dir" value="<?php echo $listDirn; ?>"/>
                <?php echo JHtml::_('form.token'); ?>
            </div>			
        </form>
    </div>
</div>

<script>
// Add custom JS here
jQuery('a[rel=popover]').popover({
  html: true,
  trigger: 'hover',
  placement: 'bottom',
  content: function(){return '<img src="'+jQuery(this).data('img') + '" />';}
});
</script>