<?php
/**
 * @package    com_responsibilities
 * @subpackage tmpl
 * @author     Alexander Grözinger {@link http://www.agmedia.de}
 * @author     Created on Mar-2018
 * @license    GNU/GPL
 * @copyright  AGMedia.de
 */
/*
   _   ___ __  __        _ _           _
  /_\ / __|  \/  |___ __| (_)__ _   __| |___
 / _ \ (_ | |\/| / -_) _` | / _` |_/ _` / -_)
/_/ \_\___|_|  |_\___\__,_|_\__,_(_)__,_\___|
*/

// No direct access to this file
defined('_JEXEC') or die(';-)');
?>

<div class="">
    <header class="<?php if($i == 0) echo 'no-bt'; ?>">
        <h5 class=""><?php echo $category['title']; ?></h5>
    </header>
    <div class="<?php echo $row_css; ?> row-eq-height">
        <?php foreach($category['persons'] as $person) : ?>
            <div class="<?php echo $col_css; ?>">
                <?php
                if(!empty($person['image'])) {
                    $img_src = JURI::root(true) . DS . $person['image'];
                } else {
                    //Insert placeholder
                    switch($param['placeholder_type']) {
                        case 1: //own image file
                            $img_src = $param['placeholder_image'];
                            break;
                        case 2: //placeholder.com image file
                            $img_src = 'http://via.placeholder.com/'. $param['placeholder_width'] .'x'. $param['placeholder_height'];
                            if(!empty($param['placeholder_text'])) {
                                $img_src .= '?text='.htmlentities($param['placeholder_text']);
                            }
                            break;
                    }
                }

                ?>
                <?php if($show_picture == 1) : ?>
                <img class="img-rounded" alt="" src="<?php echo $img_src; ?>" width="100%">
				<?php endif; ?>

                <div class="profile">
                    <?php
                    // Handle output
                    $person['aufgaben'] = nl2br($person['aufgaben']);
                    $person['aufgaben'] = strip_tags($person['aufgaben'], '<br><br />');
                    ?>
                    <?php if($show_name == 1) : ?>
                    <h1><?php echo $person['vorname'] .' '. $person['nachname']; ?></h1>
                    <?php endif; ?>
                    
                    <?php if($show_responsibility == 1) : ?>
                    <h2><?php echo $person['aufgaben']; ?></h2>
                    <?php endif; ?>
                    
                    <?php if($show_address == 1 || $show_telephone == 1 || $show_address == 1) : ?>
                    <div class="contact">
                    	<?php if($show_email == 1) : ?>
                        <?php if(!empty($person['email'])) {
                            $email = JHtml::_('email.cloak', $person['email']);
                            echo '<div>'.$email.'</div>';
                        } ?>
                        <?php endif; ?>
                        
                        <?php if($show_telephone == 1) : ?>
                        <?php if(!empty($person['telefon'])) echo '<div>'.$person['telefon'].'</div>'; ?>
                        <?php endif; ?>
                        
                        <?php if($show_address == 1) : ?>
                        <?php if(!empty($person['strasse'])) echo '<div>'.$person['strasse'].'</div>'; ?>
                        <?php if(!empty($person['plz']) && !empty($person['ort'])) echo '<div>'.$person['plz'].' '.$person['ort'].'</div>'; ?>
                        <?php endif; ?>
                    </div>
                    <?php endif; ?>
                </div>
            </div><!-- col / end -->
        <?php endforeach; ?>
    </div> <!-- row / end -->
</div><!-- / end -->