<?php
/**
 * @package    com_responsibilities
 * @subpackage tmpl
 * @author     Alexander Grözinger {@link http://www.agmedia.de}
 * @author     Created on Mar-2018
 * @license    GNU/GPL
 * @copyright  AGMedia.de
 */
/*
   _   ___ __  __        _ _           _
  /_\ / __|  \/  |___ __| (_)__ _   __| |___
 / _ \ (_ | |\/| / -_) _` | / _` |_/ _` / -_)
/_/ \_\___|_|  |_\___\__,_|_\__,_(_)__,_\___|
*/

// No direct access to this file
defined('_JEXEC') or die(';-)');

?>

<thead>
<tr>
	<?php if($show_name == 1) : ?>
    <th class=""><?php echo JText::_('COM_RESPONSIBILITIES_NAME'); ?></th>
    <?php endif; ?>
    
    <?php if($show_responsibility == 1) : ?>
    <th class=""><?php echo JText::_('COM_RESPONSIBILITIES_RESPONSIBILITY'); ?></th>
    <?php endif; ?>
    
    <?php if($show_address == 1) : ?>
    <th class=""><?php echo JText::_('COM_RESPONSIBILITIES_ADDRESS'); ?></th>
    <?php endif; ?>
    
    <?php if($show_email == 1) : ?>
    <th class=""><?php echo JText::_('COM_RESPONSIBILITIES_EMAIL'); ?></th>
    <?php endif; ?>
    
    <?php if($show_telephone == 1) : ?>
    <th class=""><?php echo JText::_('COM_RESPONSIBILITIES_PHONE'); ?></th>
    <?php endif; ?>
</tr>
</thead>
<tbody>
<?php
$colspan = 5;
foreach($this->items as $category) :
    if(empty($category['persons'])) continue;
    ?>
    <tr>
        <td class="resp_subheader" colspan="<?php echo $colspan; ?>"><?php echo $category['title']; ?></td>
    </tr>

    <?php
    foreach($category['persons'] as $person) : ?>
        <tr>
        	<?php if($show_name == 1) : ?>
            <td class=""><?php echo $person['vorname'] .' '. $person['nachname']; ?></td>
            <?php endif; ?>

			<?php if($show_responsibility == 1) : ?>
            <td class="">
                <?php
                if(!empty($person['aufgaben'])) {
                    // Handle output
                    $person['aufgaben'] = nl2br($person['aufgaben']);
                    $person['aufgaben'] = strip_tags($person['aufgaben'], '<br><br />');
                    echo $person['aufgaben'];
                } else {
                    echo "&nbsp;";
                }
                ?>
            </td>
            <?php endif; ?>

			<?php if($show_address == 1) : ?>
            <td class="">
                <?php
                if(!empty($person['strasse']) && !empty($person['plz']) && !empty($person['ort'])) {
                    echo $person['strasse'] .'<br />'. $person['plz'] .' '. $person['ort'];
                } else {
                    echo "&nbsp;";
                }
                ?>
            </td>
            <?php endif; ?>

			<?php if($show_email == 1) : ?>
            <td class="">
                <?php if(!empty($person['email'])) {
                    $email = JHtml::_('email.cloak', $person['email']);
                    echo $email;
                } ?>
            </td>
            <?php endif; ?>
            
            <?php if($show_telephone == 1) : ?>
            <td class="">
                <?php if(!empty($person['telefon'])) echo $person['telefon']; ?>
            </td>
            <?php endif; ?>
        </tr>
        <?php
    endforeach;
endforeach;
?>
</tbody>